<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use Modules\Customer\Http\Controllers\CustomerController;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/


Route::get('/customers',[CustomerController::class,'customersList']);
Route::get('/cheques/customers',[CustomerController::class,'chequeCustomersList']);
Route::post('/add/customer',[CustomerController::class,'addCustomer']);
Route::delete('/delete/customer/{id}',[CustomerController::class,'deleteCustomer']);
Route::get('/customer/{id}',[CustomerController::class,'showCustomer']);

Route::get('/new-customers',[CustomerController::class,'newCustomersList']);
Route::post('/add/new-customer',[CustomerController::class,'addNewCustomer']);
Route::delete('/delete/new-customer/{id}',[CustomerController::class,'deleteNewCustomer']);
Route::get('/new-customer/{id}',[CustomerController::class,'showNewCustomer']);